#LexisPlotR
#http://cran.nexr.com/web/packages/LexisPlotR/vignettes/LexisPlotR.html

#Install and load LexisPlotR package
install.packages("LexisPlotR")
library(LexisPlotR)

#Change work directory
setwd("~/Desktop")

#Import TXT file
Presidents <- read.delim("Presidents.txt")
View(Presidents)

#Define a Lexis grid
mylexis <- lexis_grid(year_start = 1855, year_end = 2030, age_start = 0, age_end = 100, delta = 5, lwd=0.1)
mylexis

#Add lifelines for US Presidents
mylexis <- lexis_lifeline(lg = mylexis, birth = Presidents$birth, exit = Presidents$exit, colour="red")
mylexis

#Add line for age 30
mylexis <- lexis_age(lg=mylexis, age=30, fill="blue", delta=1)
mylexis

#Add line for year 1945
mylexis <- lexis_year(lg=mylexis, year=1945, fill="blue", delta=1)
mylexis

#Add area for person-years between ages 20-30 and years 1964-1968
mylexis <- lexis_polygon(lg=mylexis, x = c("1964-01-01","1968-12-31", "1968-12-31", "1964-01-01"), y = c(20,20,30,30), fill="green", alpha=0.5)
mylexis

#Add area for cohort aged 10-30 in 1917 (born in 1887-1907)
mylexis <- lexis_cohort(lg=mylexis, cohort=1887, delta=20, fill="orange", alpha=0.5)
mylexis
